# Asterisk Project : Asterisk 12 Application_AELSub

Added by wikibot , edited by wikibot on Aug 29, 2013

# AELSub()

### Synopsis

Launch subroutine built with AEL

### Description

Execute the named subroutine, defined in AEL, from another dialplan language, such as extensions.conf, Realtime extensions, or Lua.

The purpose of this application is to provide a sane entry point into AEL subroutines, the implementation of which may change from time to time.

### Syntax

    AELSub(routine[,args])

##### Arguments

- `routine` - Named subroutine to execute.
- `args`

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown